<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <StartupObject>Updater.Program</StartupObject>
    <ApplicationIcon>Logo.ico</ApplicationIcon>
    <FileVersion>2.0.0.0</FileVersion>
    <AnalysisLevel>latest</AnalysisLevel>
    <Company>JacobTech, LLC</Company>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>portable</DebugType>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>portable</DebugType>
  </PropertyGroup>

  <ItemGroup>
    <Content Include="Logo.ico">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="GraphicsManager" Version="1.0.7-alpha95" />
    <PackageReference Include="WindowsAPICodePack-Shell" Version="1.1.1">
      <NoWarn>NU1701</NoWarn>
    </PackageReference>
  </ItemGroup>
  
  <ItemGroup>
    <EmbeddedResource Include="Resource/**"></EmbeddedResource>
  </ItemGroup>

  <Target Name="CustomActionsAfterPublish" AfterTargets="AfterPublish">
    <Message Text="Actions AfterPublish" Importance="high" />
</Target>

	
	
</Project>
